Bug 626823 - BUG: unable to handle kernel NULL pointer dereference at 0000000000000068
BUG: unable to handle kernel NULL pointer dereference at 0000000000000068
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-24 10:07 EDT by Tim Smith
Modified: 2011-06-28 10:04 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:04:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Smith 2010-08-24 10:07:03 EDT
Description of problem:

BUG message, system locks up, requires reset

Version-Release number of selected component (if applicable):

2.6.33.6-147.2.4.fc13.x86_64

How reproducible:

Sometimes. Something like this has happened more than once. I suspect a race

Steps to Reproduce:
1. On NFS SERVER: create and populate DIR (ext4 if this matters) with 20-30 files.
2. On NFS CLIENT: cd DIR; ls -al
3. On NFS SERVER: rm -rf DIR
4. On NFS CLIENT (still cwd==DIR): ls -al
  
Actual results:

NFS server logs BUG and hangs, requiring reset. Shortly afterwards the NFS CLIENT (also F13) reboots itself, but if this is a bug it's a separate one :-)

Expected results:

A complaint that the current working directory has vanished, Stale NFS file handle or similar..

Additional info:

Aug 20 18:43:20 moominvalley kernel: BUG: unable to handle kernel NULL pointer d
ereference at 0000000000000068
Aug 20 18:43:20 moominvalley kernel: IP: [<ffffffff811e951e>] bio_check_eod+0x2f
/0xd0
Aug 20 18:43:20 moominvalley kernel: PGD 91b3067 PUD 22612067 PMD 0 
Aug 20 18:43:20 moominvalley kernel: Oops: 0000 [#1] SMP 
Aug 20 18:43:20 moominvalley kernel: last sysfs file: /sys/devices/pci0000:00/00
00:00:1e.0/0000:05:02.2/usb4/idVendor
Aug 20 18:43:20 moominvalley kernel: CPU 1 
Aug 20 18:43:20 moominvalley kernel: Pid: 1266, comm: kjournald Not tainted 2.6.
33.6-147.2.4.fc13.x86_64 #1 P35C-DS3R/P35C-DS3R
Aug 20 18:43:20 moominvalley kernel: RIP: 0010:[<ffffffff811e951e>]  [<ffffffff8
11e951e>] bio_check_eod+0x2f/0xd0
Aug 20 18:43:20 moominvalley kernel: RSP: 0018:ffff88007aed1b70  EFLAGS: 0001020
2
Aug 20 18:43:20 moominvalley kernel: RAX: 0000000000000000 RBX: ffff880072507600
 RCX: 0000000000000000
Aug 20 18:43:20 moominvalley kernel: RDX: 0000000000000000 RSI: 0000000000000008
 RDI: ffff880072507600
Aug 20 18:43:20 moominvalley kernel: RBP: ffff88007aed1bd0 R08: ffff880001e92320
 R09: ffff880078c74000
Aug 20 18:43:20 moominvalley kernel: R10: 0000000000000000 R11: 0000000000000000
 R12: 0000000000000001
Aug 20 18:43:20 moominvalley kernel: R13: 0000000000000008 R14: ffff88007916c5f0
 R15: ffff880004304c40
Aug 20 18:43:20 moominvalley kernel: FS:  0000000000000000(0000) GS:ffff880001e80000(0000) knlGS:0000000000000000
Aug 20 18:43:20 moominvalley kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Aug 20 18:43:20 moominvalley kernel: CR2: 0000000000000068 CR3: 000000006aaf8000 CR4: 00000000000006e0
Aug 20 18:43:20 moominvalley kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Aug 20 18:43:20 moominvalley kernel: DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Aug 20 18:43:20 moominvalley kernel: Process kjournald (pid: 1266, threadinfo ffff88007aed0000, task ffff88007916c5f0)
Aug 20 18:43:20 moominvalley kernel: Stack:
Aug 20 18:43:20 moominvalley kernel: ffff88007aed1bb0 000000000000200a 00000003000157c0 0000000000000246
Aug 20 18:43:20 moominvalley kernel: <0> 000000c07aed1be0 00000000000000c0 0000000000000000 00000000e26b7cba
Aug 20 18:43:20 moominvalley kernel: <0> ffff88007aed1c10 ffff880072507600 0000000000000001 0000000000000008
Aug 20 18:43:20 moominvalley kernel: Call Trace:
Aug 20 18:43:20 moominvalley kernel: [<ffffffff811e9689>] generic_make_request+0xca/0x321
Aug 20 18:43:20 moominvalley kernel: [<ffffffff810c24e6>] ? mempool_alloc+0x6c/0x11e
Aug 20 18:43:20 moominvalley kernel: [<ffffffff81120dbf>] ? __find_get_block+0x172/0x184
Aug 20 18:43:20 moominvalley kernel: [<ffffffff811e99ad>] submit_bio+0xcd/0xea
Aug 20 18:43:20 moominvalley kernel: [<ffffffff811206f5>] submit_bh+0xef/0x111
Aug 20 18:43:20 moominvalley kernel: [<ffffffff81121dab>] sync_dirty_buffer+0x50/0x94
Aug 20 18:43:20 moominvalley kernel: [<ffffffff8119c51c>] journal_commit_transaction+0xc07/0xfd7
Aug 20 18:43:20 moominvalley kernel: [<ffffffff81057fdc>] ? lock_timer_base+0x27/0x4d
Aug 20 18:43:20 moominvalley kernel: [<ffffffff81058070>] ? try_to_del_timer_sync+0x6e/0x7c
Aug 20 18:43:20 moominvalley kernel: [<ffffffff8119f3bb>] kjournald+0xe3/0x220
Aug 20 18:43:20 moominvalley kernel: [<ffffffff810641bf>] ? autoremove_wake_function+0x0/0x34
Aug 20 18:43:20 moominvalley kernel: [<ffffffff8119f2d8>] ? kjournald+0x0/0x220
Aug 20 18:43:20 moominvalley kernel: [<ffffffff81063d6f>] kthread+0x7a/0x82
Aug 20 18:43:20 moominvalley kernel: [<ffffffff8100a924>] kernel_thread_helper+0x4/0x10
Aug 20 18:43:20 moominvalley kernel: [<ffffffff81063cf5>] ? kthread+0x0/0x82
Aug 20 18:43:20 moominvalley kernel: [<ffffffff8100a920>] ? kernel_thread_helper+0x0/0x10
Aug 20 18:43:20 moominvalley kernel: Code: 41 55 41 54 53 48 89 fb 48 83 ec 48 65 48 8b 04 25 28 00 00 00 48 89 45 d8 31 c0 85 f6 0f 84 88 00 00 00 48 8b 47 10 48 8b 40 08 <48> 8b 40 68 48 c1 f8 09 74 76 89 f6 48 8b 17 48 39 f0 72 08 48 
Aug 20 18:43:20 moominvalley kernel: RIP  [<ffffffff811e951e>] bio_check_eod+0x2f/0xd0
Aug 20 18:43:20 moominvalley kernel: RSP <ffff88007aed1b70>
Aug 20 18:43:20 moominvalley kernel: CR2: 0000000000000068
Aug 20 18:43:20 moominvalley kernel: [drm] nouveau 0000:01:00.0: Setting dpms mode 0 on vga encoder (output 0)
Aug 20 18:43:20 moominvalley kernel: ---[ end trace 67efcab5799cabda ]---
Aug 20 18:43:20 moominvalley kernel: RIP: 0010:[<ffffffff811e951e>]  [<ffffffff8
11e951e>] bio_check_eod+0x2f/0xd0
Aug 20 18:43:20 moominvalley kernel: RSP: 0018:ffff88007aed1b70  EFLAGS: 0001020
2
Aug 20 18:43:20 moominvalley kernel: RAX: 0000000000000000 RBX: ffff880072507600
 RCX: 0000000000000000
Aug 20 18:43:20 moominvalley kernel: RDX: 0000000000000000 RSI: 0000000000000008
 RDI: ffff880072507600
Aug 20 18:43:20 moominvalley kernel: RBP: ffff88007aed1bd0 R08: ffff880001e92320
 R09: ffff880078c74000
Aug 20 18:43:20 moominvalley kernel: R10: 0000000000000000 R11: 0000000000000000
 R12: 0000000000000001
Aug 20 18:43:20 moominvalley kernel: R13: 0000000000000008 R14: ffff88007916c5f0
 R15: ffff880004304c40
Aug 20 18:43:20 moominvalley kernel: FS:  0000000000000000(0000) GS:ffff880001e80000(0000) knlGS:0000000000000000
Aug 20 18:43:20 moominvalley kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Aug 20 18:43:20 moominvalley kernel: CR2: 0000000000000068 CR3: 000000006aaf8000 CR4: 00000000000006e0
Aug 20 18:43:20 moominvalley kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Aug 20 18:43:20 moominvalley kernel: DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Aug 20 18:43:20 moominvalley kernel: Process kjournald (pid: 1266, threadinfo ffff88007aed0000, task ffff88007916c5f0)
Aug 20 18:43:20 moominvalley kernel: Stack:
Aug 20 18:43:20 moominvalley kernel: ffff88007aed1bb0 000000000000200a 00000003000157c0 0000000000000246
Aug 20 18:43:20 moominvalley kernel: <0> 000000c07aed1be0 00000000000000c0 0000000000000000 00000000e26b7cba
Aug 20 18:43:20 moominvalley kernel: <0> ffff88007aed1c10 ffff880072507600 0000000000000001 0000000000000008
Aug 20 18:43:20 moominvalley kernel: Call Trace:
Aug 20 18:43:20 moominvalley kernel: [<ffffffff811e9689>] generic_make_request+0xca/0x321
Aug 20 18:43:20 moominvalley kernel: [<ffffffff810c24e6>] ? mempool_alloc+0x6c/0x11e
Aug 20 18:43:20 moominvalley kernel: [<ffffffff81120dbf>] ? __find_get_block+0x172/0x184
Aug 20 18:43:20 moominvalley kernel: [<ffffffff811e99ad>] submit_bio+0xcd/0xea
Aug 20 18:43:20 moominvalley kernel: [<ffffffff811206f5>] submit_bh+0xef/0x111
Aug 20 18:43:20 moominvalley kernel: [<ffffffff81121dab>] sync_dirty_buffer+0x50/0x94
Aug 20 18:43:20 moominvalley kernel: [<ffffffff8119c51c>] journal_commit_transaction+0xc07/0xfd7
Aug 20 18:43:20 moominvalley kernel: [<ffffffff81057fdc>] ? lock_timer_base+0x27/0x4d
Aug 20 18:43:20 moominvalley kernel: [<ffffffff81058070>] ? try_to_del_timer_sync+0x6e/0x7c
Aug 20 18:43:20 moominvalley kernel: [<ffffffff8119f3bb>] kjournald+0xe3/0x220
Aug 20 18:43:20 moominvalley kernel: [<ffffffff810641bf>] ? autoremove_wake_function+0x0/0x34
Aug 20 18:43:20 moominvalley kernel: [<ffffffff8119f2d8>] ? kjournald+0x0/0x220
Aug 20 18:43:20 moominvalley kernel: [<ffffffff81063d6f>] kthread+0x7a/0x82
Aug 20 18:43:20 moominvalley kernel: [<ffffffff8100a924>] kernel_thread_helper+0x4/0x10
Aug 20 18:43:20 moominvalley kernel: [<ffffffff81063cf5>] ? kthread+0x0/0x82
Aug 20 18:43:20 moominvalley kernel: [<ffffffff8100a920>] ? kernel_thread_helper+0x0/0x10
Aug 20 18:43:20 moominvalley kernel: Code: 41 55 41 54 53 48 89 fb 48 83 ec 48 65 48 8b 04 25 28 00 00 00 48 89 45 d8 31 c0 85 f6 0f 84 88 00 00 00 48 8b 47 10 48 8b 40 08 <48> 8b 40 68 48 c1 f8 09 74 76 89 f6 48 8b 17 48 39 f0 72 08 48 
Aug 20 18:43:20 moominvalley kernel: RIP  [<ffffffff811e951e>] bio_check_eod+0x2f/0xd0
Aug 20 18:43:20 moominvalley kernel: RSP <ffff88007aed1b70>
Aug 20 18:43:20 moominvalley kernel: CR2: 0000000000000068
Aug 20 18:43:20 moominvalley kernel: [drm] nouveau 0000:01:00.0: Setting dpms mode 0 on vga encoder (output 0)
Aug 20 18:43:20 moominvalley kernel: ---[ end trace 67efcab5799cabda ]---
Comment 1 Chuck Ebbert 2010-09-01 20:24:36 EDT
Does it still happen with kernel-2.6.34.6-47?
Comment 2 Bug Zapper 2011-06-01 06:36:03 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-28 10:04:42 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.